#### Previous topic

scipy.interpolate.SmoothSphereBivariateSpline.get_residual

#### Next topic

scipy.interpolate.LSQBivariateSpline.__call__

# scipy.interpolate.LSQBivariateSpline

class `scipy.interpolate.``LSQBivariateSpline`(x, y, z, tx, ty, w=None, bbox=[None, None, None, None], kx=3, ky=3, eps=None)

  Weighted least-squares bivariate spline approximation.

  Parameters:

  x, y, z : array_like

  > 1-D sequences of data points (order is not important).

  tx, ty : array_like

  > Strictly ordered 1-D sequences of knots coordinates.

  w : array_like, optional

  > Positive 1-D array of weights, of the same length as x, y and z.

  bbox : (4,) array_like, optional

  > Sequence of length 4 specifying the boundary of the rectangular approximation domain. By default, `bbox=[min(x,tx),max(x,tx), min(y,ty),max(y,ty)]`.

  kx, ky : ints, optional

  > Degrees of the bivariate spline. Default is 3.

  eps : float, optional

  > A threshold for determining the effective rank of an over-determined linear system of equations. eps should have a value between 0 and 1, the default is 1e-16.

  See also

  `bisplrep`
    an older wrapping of FITPACK
  `bisplev`
    an older wrapping of FITPACK
  `UnivariateSpline`
    a similar class for univariate spline interpolation
  `SmoothBivariateSpline`
    create a smoothing BivariateSpline

  Notes

  The length of x, y and z should be at least `(kx+1) * (ky+1)`.

  Methods

  `__call__`(x, y[, mth, dx, dy, grid]) | Evaluate the spline or its derivatives at given positions.
  `ev`(xi, yi[, dx, dy]) | Evaluate the spline at points
  `get_coeffs`() | Return spline coefficients.
  `get_knots`() | Return a tuple (tx,ty) where tx,ty contain knots positions of the spline with respect to x-, y-variable, respectively.
  `get_residual`() | Return weighted sum of squared residuals of the spline
  `integral`(xa, xb, ya, yb) | Evaluate the integral of the spline over area [xa,xb] x [ya,yb].